
From: Adrian Bunk <bunk@stusta.de>

This patch removes an unused function.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/adfs/dir_f.c |   17 -----------------
 1 files changed, 17 deletions(-)

diff -puN fs/adfs/dir_f.c~fs-adfs-dir_fc-remove-an-unused-function fs/adfs/dir_f.c
--- 25/fs/adfs/dir_f.c~fs-adfs-dir_fc-remove-an-unused-function	2005-01-23 14:36:15.949107784 -0800
+++ 25-akpm/fs/adfs/dir_f.c	2005-01-23 14:36:15.953107176 -0800
@@ -65,23 +65,6 @@ static inline int adfs_readname(char *bu
 	return buf - old_buf;
 }
 
-static inline void adfs_writename(char *to, char *from, int maxlen)
-{
-	int i;
-
-	for (i = 0; i < maxlen; i++) {
-		if (from[i] == '\0')
-			break;
-		if (from[i] == '.')
-			to[i] = '/';
-		else
-			to[i] = from[i];
-	}
-
-	for (; i < maxlen; i++)
-		to[i] = '\0';
-}
-
 #define ror13(v) ((v >> 13) | (v << 19))
 
 #define dir_u8(idx)				\
_
